package cn.com.countrygarden.bi.main.service.review;

import org.apache.ibatis.annotations.Param;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.review.ReviewJudge;

/**
 * 评选人-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-06-25
 */
public interface ReviewJudgeService {

    Result queryPageList(ReviewJudge reviewJudge, int page, int size);

    Result queryById(Integer id);

    Result add(ReviewJudge reviewJudge, AccessToken accessToken);

    Result edit(ReviewJudge reviewJudge, AccessToken accessToken);

    Result del(Integer id);
    
//    Result selectJudge(Integer investigatedId);
}